POST v1/MYB2BAgency/MYPaymentDetail
Request Information
URI Parameters
None.
Body Parameters
PaymentModel| Name | Description | Type | Additional information |
|---|---|---|---|
| paymentMethodId | string |
Required |
|
| paymentMethod | string |
Required |
|
| totalAmount | decimal number |
Required |
|
| receivedAmount | decimal number |
Required |
|
| dueAmount | decimal number |
Required |
|
| companyId | string |
None. |
|
| companyName | string |
None. |
|
| staffId | string |
None. |
|
| staffName | string |
None. |
|
| cardTypeId | string |
None. |
|
| cardType | string |
None. |
|
| cardNumber | string |
None. |
|
| cardHolderName | string |
None. |
|
| cardBankId | string |
None. |
|
| cardBank | string |
None. |
|
| cardExpiryDate | string |
None. |
|
| cardAuthorizeBy | string |
None. |
|
| bankId | string |
None. |
|
| bankName | string |
None. |
|
| chequeNumber | string |
None. |
|
| chequeDate | string |
None. |
|
| walletId | string |
None. |
|
| walletName | string |
None. |
|
| bookingNumber | string |
Required |
|
| selectedSeat | Collection of string |
None. |
|
| myOperatorCode | string |
Required |
|
| myAgentCode | string |
Required |
|
| requestedBy | string |
Required |
Request Formats
application/json, text/json
Sample:
{
"paymentMethodId": "sample string 1",
"paymentMethod": "sample string 2",
"totalAmount": 3.0,
"receivedAmount": 4.0,
"dueAmount": 5.0,
"companyId": "sample string 6",
"companyName": "sample string 7",
"staffId": "sample string 8",
"staffName": "sample string 9",
"cardTypeId": "sample string 10",
"cardType": "sample string 11",
"cardNumber": "sample string 12",
"cardHolderName": "sample string 13",
"cardBankId": "sample string 14",
"cardBank": "sample string 15",
"cardExpiryDate": "sample string 16",
"cardAuthorizeBy": "sample string 17",
"bankId": "sample string 18",
"bankName": "sample string 19",
"chequeNumber": "sample string 20",
"chequeDate": "sample string 21",
"walletId": "sample string 22",
"walletName": "sample string 23",
"bookingNumber": "sample string 24",
"selectedSeat": [
"sample string 1",
"sample string 2"
],
"myOperatorCode": "sample string 25",
"myAgentCode": "sample string 26",
"requestedBy": "sample string 27"
}
application/xml, text/xml
Sample:
<PaymentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/MY.API.Models">
<myAgentCode>sample string 26</myAgentCode>
<myOperatorCode>sample string 25</myOperatorCode>
<requestedBy>sample string 27</requestedBy>
<bookingNumber>sample string 24</bookingNumber>
<selectedSeat xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>sample string 1</d2p1:string>
<d2p1:string>sample string 2</d2p1:string>
</selectedSeat>
<bankId>sample string 18</bankId>
<bankName>sample string 19</bankName>
<cardAuthorizeBy>sample string 17</cardAuthorizeBy>
<cardBank>sample string 15</cardBank>
<cardBankId>sample string 14</cardBankId>
<cardExpiryDate>sample string 16</cardExpiryDate>
<cardHolderName>sample string 13</cardHolderName>
<cardNumber>sample string 12</cardNumber>
<cardType>sample string 11</cardType>
<cardTypeId>sample string 10</cardTypeId>
<chequeDate>sample string 21</chequeDate>
<chequeNumber>sample string 20</chequeNumber>
<companyId>sample string 6</companyId>
<companyName>sample string 7</companyName>
<dueAmount>5</dueAmount>
<paymentMethod>sample string 2</paymentMethod>
<paymentMethodId>sample string 1</paymentMethodId>
<receivedAmount>4</receivedAmount>
<staffId>sample string 8</staffId>
<staffName>sample string 9</staffName>
<totalAmount>3</totalAmount>
<walletId>sample string 22</walletId>
<walletName>sample string 23</walletName>
</PaymentModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |